defaults:
  batchimport:
    name:                                  'BatchImport'
    description:                           ''
    weight:                                -9000
    params:
      batchimport_enable:
        type:                              boolean
        value:                             true
        name:                              'Enable Batch Import'
        description:                       'Enables / disables the batch import module'
        editable:                          true
        system:                            false
        nullable:                          false
      batchimport_local_enable:
        type:                               boolean
        value:                              true
        name:                               'Enable local Batch Import'
        description:                        'Enables Batch Import from a local folder'
        editable:                           true
        system:                             false
        nullable:                           false
      batchimport_local_path:
        type:                               string
        value:                              ''
        name:                               'Local Batch Import path'
        description:                        'Enter the absolute or relative path of the import folder (Relative to the SuiteSyndicator install direcotory)'
        editable:                           true
        system:                             false
        nullable:                           false
#      batchimport_allowed_local_mediaformats:
#        type:                               string
#        value:                              'avi, wmv, mov, flv, mpeg, mpg, m4v, mp4, 3gp, 3gpp, png, jpg, gif, mp3, ogg, oga, wma, m4a, txt, pdf, doc, xls, ppt, pps, docx, xlsx, pptx, ppsx'
#        name:                               'Allowed media formats for local Batch Import'
#        description:                        'Enter the default media formats supported by the local Batch Import'
#        editable:                           true
#        system:                             false
#        nullable:                           false
      batchimport_allowed_local_videoformats:
        type:                               string
        value:                              'mp4, flv, avi, wmv, mov, mpeg, mpg'
        name:                               'Allowed video formats for local Batch Import'
        description:                        'Enter the default video formats supported by the local Batch Import'
        editable:                           true
        system:                             false
        nullable:                           false
      batchimport_allowed_local_addition_videoformats:
        type:                               string
        value:                              'm4v, webm, ogv'
        name:                               'Allowed video formats for additional media imported by local Batch Import'
        description:                        'The default video formats for additional media supported by the local Batch Import'
        editable:                           false
        system:                             false
        nullable:                           false
      batchimport_allowed_local_audioformats:
        type:                               string
        value:                              'mp3, 3gp, 3gpp, ogg, wma, m4a'
        name:                               'Allowed audio formats for local Batch Import'
        description:                        'Enter the default audio formats supported by the local Batch Import'
        editable:                           true
        system:                             false
        nullable:                           false
      batchimport_allowed_local_addition_audioformats:
        type:                               string
        value:                              'oga, wav'
        name:                               'Allowed audio formats for additional media imported by local Batch Import'
        description:                        'The default audio formats for additional media supported by the local Batch Import'
        editable:                           false
        system:                             false
        nullable:                           false
      batchimport_allowed_local_pictureformats:
        type:                               string
        value:                              'png, jpg, gif'
        name:                               'Allowed picture formats for local Batch Import'
        description:                        'Enter the default picture formats supported by the local Batch Import'
        editable:                           true
        system:                             false
        nullable:                           false
      batchimport_allowed_local_documentformats:
        type:                               string
        value:                              'txt, pdf, doc, xls, ppt, pps, docx, xlsx, pptx, ppsx'
        name:                               'Allowed document formats for local Batch Import'
        description:                        'Enter the default document formats supported by the local Batch Import'
        editable:                           true
        system:                             false
        nullable:                           false
      batchimport_ftp_enable:
        type:                               boolean
        value:                              false
        name:                               'Enable external Batch Import'
        description:                        'Enables Batch Import from an external server per FTP'
        editable:                           true
        system:                             false
        nullable:                           false
      batchimport_ftp_host:
        type:                               string
        value:                              ''
        name:                               'FTP host'
        description:                        'Enter the name of the FTP server'
        editable:                           true
        system:                             false
        nullable:                           false
      batchimport_ftp_user:
        type:                               string
        value:                              ''
        name:                               'FTP user'
        description:                        'Enter the name of the FTP user'
        editable:                           true
        system:                             false
        nullable:                           false
      batchimport_ftp_pass:
        type:                               string
        value:                              ''
        name:                               'FTP password'
        description:                        'Enter the password of the FTP account'
        editable:                           true
        system:                             false
        nullable:                           false
        secret:                             true
      batchimport_ftp_path:
        type:                               string
        value:                              ''
        name:                               'FTP path'
        description:                        'Enter the path of the FTP folder'
        editable:                           true
        system:                             false
        nullable:                           false
      batchimport_ftp_passive:
        type:                               boolean
        value:                              false
        name:                               'FTP passive mode'
        description:                        'Enable / Disable FTP passive mode'
        editable:                           true
        system:                             false
        nullable:                           false
      batchimport_allowed_ftp_videoformats:
        type:                               string
        value:                              'mp4, flv, avi, wmv, mov, mpeg, mpg'
        name:                               'Allowed video formats for ftp Batch Import'
        description:                        'Enter the default video formats supported by the ftp Batch Import'
        editable:                           true
        system:                             false
        nullable:                           false
      batchimport_allowed_ftp_addition_videoformats:
        type:                               string
        value:                              'm4v, webm, ogv'
        name:                               'Allowed video formats for additional media imported by ftp Batch Import'
        description:                        'The default video formats for additional media supported by the ftp Batch Import'
        editable:                           false
        system:                             false
        nullable:                           false
      batchimport_allowed_ftp_audioformats:
        type:                               string
        value:                              'mp3, 3gp, 3gpp, ogg, wma, m4a'
        name:                               'Allowed audio formats for ftp Batch Import'
        description:                        'Enter the default audio formats supported by the ftp Batch Import'
        editable:                           true
        system:                             false
        nullable:                           false
      batchimport_allowed_ftp_addition_audioformats:
        type:                               string
        value:                              'oga, wav'
        name:                               'Allowed audio formats for additional media imported by ftp Batch Import'
        description:                        'The default audio formats for additional media supported by the ftp Batch Import'
        editable:                           false
        system:                             false
        nullable:                           false
      batchimport_allowed_ftp_pictureformats:
        type:                               string
        value:                              'png, jpg, gif'
        name:                               'Allowed picture formats for ftp Batch Import'
        description:                        'Enter the default picture formats supported by the ftp Batch Import'
        editable:                           true
        system:                             false
        nullable:                           false
      batchimport_allowed_ftp_documentformats:
        type:                               string
        value:                              'txt, pdf, doc, xls, ppt, pps, docx, xlsx, pptx, ppsx'
        name:                               'Allowed document formats for ftp Batch Import'
        description:                        'Enter the default document formats supported by the ftp Batch Import'
        editable:                           true
        system:                             false
        nullable:                           false
      batchimport_convert_external_files:
        type:                               boolean
        value:                              true
        name:                               'Convert external files'
        description:                        'Define if imported files shall be converted'
        editable:                           true
        system:                             false
        nullable:                           false
      batchimport_default_user:
        type:                               model
        value:                              ~
        model:                              User
        autocomplete:                       true
        source:                             'default/autocomplete'
        value_field:                        'uid'
        criteria_method:                    'getCriteriaLegalUser'
        name:                               'Batch import default user'
        description:                        'Define the default user of imported files (applies, if user not defined in the XML)'
        editable:                           true
        system:                             false
        nullable:                           true
      batchimport_default_status:
        type:                               set
        value:                              5
        set:                                { 3:'überprüfen', 4:'unzulässig', 5:'Freigegeben', 6:'gesperrt' }
        name:                               'Batch import default status'
        description:                        'Define the default status of imported files (applies, if status not defined in the XML). If files will be converted, status is always "uploaded"'
        editable:                           true
        system:                             false
        nullable:                           false
      batchimport_default_thumbnail:
        type:                               file
        value:                              ~
        destination:                        %SF_WEB_DIR%/images/thumbs/
        mime-types:                         web_images
        name:                               'Batch Import default thumbnail'
        description:                        'Upload a default thumbnail of the imported files (applies, if thumbnail not defined in the XML)'
        editable:                           true
        system:                             false
        nullable:                           true
      batchimport_default_category:
        type:                               model
        model:                              Category
        value:                              ~
        search_field:                       'name'
        autocomplete:                       false
        value_field:                        'cid'
        value_method:                       'getCid'
        output_method:                      'getName'
        name:                               'Batch Import default category'
        description:                        'Define the default category of imported files (applies, if category not defined in the XML)'
        editable:                           true
        system:                             false
        nullable:                           true
      batchimport_default_title:
        type:                               string
        value:                              ''
        name:                               'Batch Import default title'
        description:                        'Enter the default title of imported files (applies, if title not defined in the XML). Title will be extended by an ongoing number'
        editable:                           true
        system:                             false
        nullable:                           false
      batchimport_default_description:
        type:                               string
        value:                              ''
        name:                               'Batch Import default description'
        description:                        'Enter the default description of the imported files (applies, if description not defined in the XML)'
        editable:                           true
        system:                             false
        nullable:                           false
      batchimport_default_tags:
        type:                               string
        value:                              ''
        name:                               'Batch Import default tags'
        description:                        'Enter the default tag(s) of the imported files (applies, if tags not defined in the XML)'
        editable:                           true
        system:                             false
        nullable:                           false
      batchimport_default_visibility:
        type:                               set
        value:                              0
        set:                                { 0:'public', 1:'private' }
        name:                               'Batch Import default visibility'
        description:                        'Define the default visibility of imported files (applies, if visibility not defined in the XML)'
        editable:                           true
        system:                             false
        nullable:                           false
      batchimport_default_meta_title:
        type:                               string
        value:                              ''
        name:                               'Batch Import default meta title'
        description:                        'Enter the default meta title of imported files (applies, if meta title not defined in the XML)'
        editable:                           true
        system:                             false
        nullable:                           false
      batchimport_default_meta_description:
        type:                               string
        value:                              ''
        name:                               'Batch Import default meta description'
        description:                        'Enter the default meta description of the imported files (applies, if meta description not defined in the XML)'
        editable:                           true
        system:                             false
        nullable:                           false
      batchimport_default_meta_keywords:
        type:                               string
        value:                              ''
        name:                               'Batch Import default meta keywords'
        description:                        'Enter the default meta keywords of the imported files (applies, if meta keywords not defined in the XML)'
        editable:                           true
        system:                             false
        nullable:                           false
      batchimport_default_meta_author:
        type:                               string
        value:                              ''
        name:                               'Batch Import default meta author'
        description:                        'Enter the default meta author of the imported files (applies, if meta author not defined in the XML)'
        editable:                           true
        system:                             false
        nullable:                           false
      batchimport_default_meta_copyright:
        type:                               string
        value:                              ''
        name:                               'Batch Import default meta copyright'
        description:                        'Enter the default meta copyright of the imported files (applies, if meta copyright not defined in the XML)'
        editable:                           true
        system:                             false
        nullable:                           false
#      batchimport_allowed_ftp_videoformats:
#        type:                               string
#        value:                              'mp4, flv, avi, wmv, mov, mpeg, mpg'
#        name:                               'Allowed video formats for ftp Batch Import'
#        description:                        'Enter the default video formats supported by the ftp Batch Import'
#        editable:                           true
#        system:                             false
#        nullable:                           false
#      batchimport_allowed_ftp_addition_videoformats:
#        type:                               string
#        value:                              'm4v, webm, ogv'
#        name:                               'Allowed video formats for additional media imported by ftp Batch Import'
#        description:                        'The default video formats for additional media supported by the ftp Batch Import'
#        editable:                           false
#        system:                             false
#        nullable:                           false
#      batchimport_allowed_ftp_audioformats:
#        type:                               string
#        value:                              'mp3, 3gp, 3gpp, ogg, wma, m4a'
#        name:                               'Allowed audio formats for ftp Batch Import'
#        description:                        'Enter the default audio formats supported by the ftp Batch Import'
#        editable:                           true
#        system:                             false
#        nullable:                           false
#      batchimport_allowed_ftp_addition_audioformats:
#        type:                               string
#        value:                              'oga, wav'
#        name:                               'Allowed audio formats for additional media imported by ftp Batch Import'
#        description:                        'The default audio formats for additional media supported by the ftp Batch Import'
#        editable:                           false
#        system:                             false
#        nullable:                           false
#      batchimport_allowed_ftp_pictureformats:
#        type:                               string
#        value:                              'png, jpg, gif'
#        name:                               'Allowed picture formats for ftp Batch Import'
#        description:                        'Enter the default picture formats supported by the ftp Batch Import'
#        editable:                           true
#        system:                             false
#        nullable:                           false
#      batchimport_allowed_ftp_documentformats:
#        type:                               string
#        value:                              'txt, pdf, doc, xls, ppt, pps, docx, xlsx, pptx, ppsx'
#        name:                               'Allowed document formats for ftp Batch Import'
#        description:                        'Enter the default document formats supported by the ftp Batch Import'
#        editable:                           true
#        system:                             false
#        nullable:                           false
#   